## Check Ceph IO

Script: `check_ceph_io`

It is a plugin to show read and written bytes per second. 
It returns a single line for the status and performance data.

## Requirements

* `ceph` binary and sudo permission on it to get the information

```txt
icingaclient ALL=(ALL) NOPASSWD: /bin/ceph
```

## Standalone installation

From this repository ypu need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

```txt
______________________________________________________________________

CHECK_CEPH_IO
v1.5

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_ceph_io.html
______________________________________________________________________

Show cheph IO as read and written bytes per second.
This check sends performance data.

SYNTAX:
check_ceph_io

OPTIONS:
    -h or --help   show this help.
    -t [STRING]    test a value; for debugging purposes
                   Without a string internally stored values will be tested

EXAMPLE:
check_ceph_io
    no parameters; normal usage to get the ceph io data

check_ceph_io -t
    Run a few builtin tests

check_ceph_io -t "   client: 255 B/s rd, 0 op/s rd, 0 op/s wr"
    Test a given string

```

### Parameters

(none)

## Examples

`$ check_ceph_io` returns

```txt
OK:    13 KiB/s rd, 1.1 MiB/s wr, 130 op/s rd, 137 op/s wr
|cephio-read=13K;; cephio-write=1.1M;;
```
