## Check memory consuming processes

Script: `check_proc_mem`

Show processes that consume the most memory.
You get a list with process name, total usage of all its processes, count of instances.

## Requirements

Nothing special.

## Standalone installation

From this repository ypu need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

```txt
______________________________________________________________________

CHECK_PROC_MEM
v1.3

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_proc_mem.html
______________________________________________________________________

Show processes that consume the most memory.
You get a list with processes consuming 

  * more than the critical limit
  * between warning and critical limit

SYNTAX:

  check_proc_mem [-h] [-c VALUE] [-w VALUE]

OPTIONS:

  -h, --help 
      this help

PARAMETERS:

  -c, --critical VALUE
      critical level in MB (default: 500)

  -w. --warning VALUE
      warning level in MB (default: 100)

EXAMPLE:

  check_proc_mem
      Check processes with initial memory values

  check_proc_mem -w 1000 -c 2000
      Check processes consuming more than 1000 MB and mark those as critical
      that use more than 2000 MB.

```

## Examples

### Default options

`./check_proc_mem` returns

```txt
CRITICAL: Memory consuming processes - 3 processes use 500 MB+ (critical) ... 1 processes use 100..500 MB
Critical  mariadbd               2250 MB    1   2250.473 MB
Critical  apache2                 861 MB   12     71.748 MB
Critical  php-fpm8.2              645 MB   37     17.444 MB
Warning   icinga2                 271 MB    3     90.365 MB
```
